<?php

/**
 * Front-end of Socialshareprivacy_XH.
 *
 * Copyright (c) 2012 Christoph M. Becker (see license.txt)
 */


if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}


define('SOCIALSHAREPRIVACY_VERSION', '1beta1');


/**
 * Returns the JS to initialize the social buttons.
 *
 * @return string
 */
function socialshareprivacy_init() {
    global $pth, $sn, $sl, $cf, $plugin_cf, $plugin_tx;

    $pcf = array();
    foreach ($plugin_cf['socialshareprivacy'] as $key => $opt) {
	$pcf[$key] = addcslashes($opt, "\n\r\t\\\'");
    }
    $ptx = array();
    foreach ($plugin_tx['socialshareprivacy'] as $key => $opt) {
	$ptx[$key] = addcslashes($opt, "\n\r\t\\\'");
    }
    $dir = $pth['folder']['plugins'].'socialshareprivacy/';
    $lang = $sl == 2 ? $sl : $cf['language']['default'];
    return <<<SCRIPT
// automatically generated by Socialshareprivacy_XH
// do not modify directly -- instead make your modifications in "Plugin Config" and "Plugin Language"
jQuery(function() {
    jQuery('.socialshareprivacy').socialSharePrivacy({
	info_link: '$ptx[general_info_link]',
	txt_help: '$ptx[general_help]',
	settings_perma: '$ptx[general_settings_perma]',
	cookie_path: '$sn',
	cookie_domain: '$_SERVER[SERVER_NAME]',
	cookie_expires: $pcf[cookie_expires],
	css_path: '',
	services: {
	    facebook: {
		status: '$pcf[facebook_status]',
		dummy_img: '${dir}css/images/dummy_facebook_en.png',
		txt_info: '$ptx[facebook_info]',
		txt_fb_off: '$ptx[facebook_off]',
		txt_fb_on: '$ptx[facebook_on]',
		perma_option: '$pcf[facebook_perma_option]',
		display_name: '$ptx[facebook_display_name]',
		referrer_track: '$pcf[facebook_referrer_track]',
		language: '${lang}_$ptx[general_country_code]',
		action: '$pcf[facebook_action]'
	    },
	    twitter: {
		status: '$pcf[twitter_status]',
		dummy_img: '${dir}css/images/dummy_twitter.png',
		txt_info: '$ptx[twitter_info]',
		txt_twitter_off: '$ptx[twitter_off]',
		txt_twitter_on: '$ptx[twitter_on]',
		perma_option: '$pcf[twitter_perma_option]',
		display_name: '$ptx[twitter_display_name]',
		referrer_track: '$pcf[twitter_referrer_track]',
		language: '$lang'
	    },
	    gplus: {
		status: '$pcf[gplus_status]',
		dummy_img: '${dir}css/images/dummy_gplus.png',
		txt_info: '$ptx[gplus_info]',
		txt_gplus_off: '$ptx[gplus_off]',
		txt_gplus_on: '$ptx[gplus_on]',
		perma_option: '$pcf[gplus_perma_option]',
		display_name: '$ptx[gplus_display_name]',
		referrer_track: '$pcf[gplus_referrer_track]',
		language: '$lang'
	    }
	}
    })
})
SCRIPT;
}

/**
 * Embeds the necessary JS to the <head> to display the social buttons.
 *
 * @global string $hjs
 * @return void
 */
function socialshareprivacy() {
    global $hjs, $sl, $pth, $plugin_cf;

    $dir = $pth['folder']['plugins'].'socialshareprivacy/';
    include_once $pth['folder']['plugins'].'jquery/jquery.inc.php';
    include_jquery();
    $hjs .= '<script type="text/javascript" src="'.$dir.'js/jquery.socialshareprivacy.min.js"></script>'."\n";
    $fn = $dir.'js/socialshareprivacy-'.$sl.'.js';
    $init = socialshareprivacy_init();
    if (!file_exists($fn) || filemtime($fn) <= filemtime($dir.'config/config.php')
	    || filemtime($fn) <= filemtime($dir.'languages/'.$sl.'.php')) {
	if (file_exists($fn) && !is_writable($fn)
		||($fh = fopen($fn, 'w')) === FALSE
		|| fwrite($fh, $init) === FALSE) {
	    e('cntsave', 'file', $fn);
	}
	if (!empty($fh)) {fclose($fh);}
    }
    $hjs .= '<script type="text/javascript" src="'.$fn.'"></script>'."\n";
}


socialshareprivacy();

?>
